<template>
  <v-container fluid>
    <v-layout justify-space-around>
      <v-flex xs12 sm10 md8 lg6>
        <v-card flat>
          <v-card-title class="display-1">{{ event.title }}</v-card-title>

          <v-card-subtitle class="grey--text lighten-3">
            {{ event.date | moment('LL') }} {{ event.date | moment('HH') }}:{{ event.date | moment('mm') }}
          </v-card-subtitle>

          <v-card-text>
            <v-card-text v-html="event.description" />

            <p class="caption grey--text lighten-3">{{ event.place }}, {{ event.organizers }}</p>
          </v-card-text>
        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import Api from '@/mixins/api'

// @group VIEWS
export default {
  mixins: [Api],
  computed: {
    /**
     * @vuese
     * Returns event by id from VueX
     * @arg -
     */
    event() {
      const id = this.$route.params.id
      if (this.$store.state.events) {
        return this.$store.state.events.find(event => event.id == id)
      } else {
        return false
      }
    },
  },
  created() {
    /**
     * @vuese
     * Gets events every 60 seconds
     * @arg -
     */
    this.getEvents()
    setInterval(this.getEvents, 60000)
  },
}
</script>
